'use strict';

var _expect = require('expect.js');

var _expect2 = _interopRequireDefault(_expect);

var _compose = require('./compose');

var _compose2 = _interopRequireDefault(_compose);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

describe('compose', function () {
  it('should compose fn values', function () {
    var height = function height() {};
    var classes = { left: 'a', button: 'b' };
    var styles = { button: { height: height } };
    var composed = (0, _compose2['default'])(classes, styles);
    (0, _expect2['default'])(composed).to.eql({
      button: {
        height: height,
        composes: 'b'
      },
      left: {
        composes: 'a'
      }
    });
  });

  it('should compose fn rules', function () {
    var rule = function rule() {};
    var classes = { left: 'a', button: 'b' };
    var styles = { button: rule };
    var composed = (0, _compose2['default'])(classes, styles);
    (0, _expect2['default'])(composed).to.eql({
      button: {
        extend: rule,
        composes: 'b'
      },
      left: {
        composes: 'a'
      }
    });
  });
});